.loader {
    width: 100px;
    height: 100px;
    position: relative;
}

.loader div {
    position: absolute;
    top: 0;
    height: 50px;
    width: 50px;
    background: coral;
}

@keyframes flip {
    0% { transform: rotateX(0) rotateY(0) }
    25% { transform: rotateX(0) rotateY(180deg) }
    50% { transform: rotateX(180deg) rotateY(180deg) }
    75% { transform: rotateX(180deg) rotateY(0) }
    100% { transform: rotateX(0) rotateY(0) }
    
}